/*
 * aTunes 1.9.0
 * Copyright (C) 2006-2008 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.controllers.audioScrobbler;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * The listener interface for receiving audioScrobbler events.
 */
public class AudioScrobblerListener implements ActionListener {

	/** The obj controller. */
	private AudioScrobblerController objController;

	/**
	 * Instantiates a new audio scrobbler listener.
	 * 
	 * @param objController
	 *            the obj controller
	 */
	AudioScrobblerListener(AudioScrobblerController objController) {
		this.objController = objController;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent objEvent) {
		if (objEvent.getSource() == objController.getPanelControlled().getCopyLyricToClipboard()) {
			objController.copyToClipboard();
		} else if (objEvent.getSource() == objController.getPanelControlled().getSearchForVideo()) {
			objController.searchForVideo();
		}
	}

}
