/*
 * aTunes 1.9.0
 * Copyright (C) 2006-2008 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.controllers.editTagDialog;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import net.sourceforge.atunes.gui.views.dialogs.EditTagDialog;

/**
 * The listener interface for receiving editTagDialogAction events.
 */
public class EditTagDialogActionListener implements ActionListener {

	/** The controller. */
	private EditTagDialogController controller;

	/** The dialog. */
	private EditTagDialog dialog;

	/**
	 * Instantiates a new edits the tag dialog action listener.
	 * 
	 * @param controller
	 *            the controller
	 * @param dialog
	 *            the dialog
	 */
	public EditTagDialogActionListener(EditTagDialogController controller, EditTagDialog dialog) {
		this.controller = controller;
		this.dialog = dialog;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == dialog.getOkButton()) {
			controller.editTag();
		} else if (e.getSource() == dialog.getCancelButton()) {
			dialog.setVisible(false);
		}
	}
}
