/*
 * aTunes 1.9.0
 * Copyright (C) 2006-2008 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.modules.audioscrobbler;

import java.util.List;

/**
 * The Class AudioScrobblerAlbumList.
 */
public class AudioScrobblerAlbumList {

	/** The artist. */
	private String artist;

	/** The albums. */
	private List<AudioScrobblerAlbum> albums;

	/**
	 * Gets the albums.
	 * 
	 * @return the albums
	 */
	public List<AudioScrobblerAlbum> getAlbums() {
		return albums;
	}

	/**
	 * Gets the artist.
	 * 
	 * @return the artist
	 */
	public String getArtist() {
		return artist;
	}

	/**
	 * Sets the albums.
	 * 
	 * @param albums
	 *            the albums to set
	 */
	public void setAlbums(List<AudioScrobblerAlbum> albums) {
		this.albums = albums;
	}

	/**
	 * Sets the artist.
	 * 
	 * @param artist
	 *            the artist to set
	 */
	public void setArtist(String artist) {
		this.artist = artist;
	}

}
