/*
 * aTunes 1.9.0
 * Copyright (C) 2006-2008 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.modules.audioscrobbler;

import net.sourceforge.atunes.kernel.utils.XMLUtils;

import org.w3c.dom.Element;

// TODO: Auto-generated Javadoc
/**
 * The Class AudioScrobblerTrack.
 */
public class AudioScrobblerTrack {

	/** The title. */
	private String title;

	/** The url. */
	private String url;

	/**
	 * Gets the track.
	 * 
	 * @param t
	 *            the t
	 * 
	 * @return the track
	 */
	protected static AudioScrobblerTrack getTrack(Element t) {
		AudioScrobblerTrack track = new AudioScrobblerTrack();

		track.title = t.getAttribute("title");
		track.url = XMLUtils.getChildElementContent(t, "url");

		return track;
	}

	/**
	 * Gets the title.
	 * 
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Gets the url.
	 * 
	 * @return the url
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * Sets the title.
	 * 
	 * @param title
	 *            the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Sets the url.
	 * 
	 * @param url
	 *            the url to set
	 */
	public void setUrl(String url) {
		this.url = url;
	}

}
